<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
   
   <meta name="description" content="FLUBIO - An unstructured, parallel, finite volume Navier-Stokes solver for teaching and research purposes">
    
    <meta name="author" content="Edoardo Alinovi and Joel Guerrero" >
    <link rel="icon" href="../favicon.png">

    <title>precision &ndash; FLUBIO</title>

    <link href="../css/bootstrap.min.css" rel="stylesheet">
    <link href="../css/pygments.css" rel="stylesheet">
    <link href="../css/font-awesome.min.css" rel="stylesheet">
    <link href="../css/local.css" rel="stylesheet">
    
    <link  href="../tipuesearch/tipuesearch.css" rel="stylesheet">
    
    

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
    
    <script src="../js/jquery-2.1.3.min.js"></script>
    <script src="../js/svg-pan-zoom.min.js"></script>

  </head>

  <body>

    <!-- Fixed navbar -->
    <nav class="navbar navbar-inverse navbar-fixed-top">
      <div class="container">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand" href="../index.html">FLUBIO </a>
        </div>
        <div id="navbar" class="navbar-collapse collapse">
          <ul class="nav navbar-nav">
        
            <li class="dropdown hidden-xs visible-sm visible-md hidden-lg">
              <a href="#" class="dropdown-toggle"
              data-toggle="dropdown" role="button"
              aria-haspopup="true"
     aria-expanded="false">Contents <span class="caret"></span></a>
        <ul class="dropdown-menu">
          
              
            <li><a href="../lists/files.html">Source Files</a></li>
        
        
        
            <li><a href="../lists/modules.html">Modules</a></li>
        
            
                                
            <li><a href="../lists/procedures.html">Procedures</a></li>
        
               
            <li><a href="../lists/types.html">Derived Types</a></li>
        
        
            <li><a href="../lists/programs.html">Programs</a></li>
               
        
        
            </ul>
        
            </li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/files.html">Source Files</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/modules.html">Modules</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/procedures.html">Procedures</a></li>

                             
<li class="visible-xs hidden-sm visible-lg"><a href="../lists/types.html">Derived Types</a></li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/programs.html">Programs</a></li>



          </ul>
        
        <form action="../search.html" class="navbar-form navbar-right" role="search">
        <div class="form-group">
          <input type="text" class="form-control" placeholder="Search" name="q" id="tipue_search_input" autocomplete="off" required>
        </div>
<!--
        <button type="submit" class="btn btn-default">Submit</button>
-->
        </form>
        
        </div><!--/.nav-collapse -->
      </div>
    </nav>

    <div class="container">
    
  
  <div class="row">
    <h1>precision 
    <small>Module</small>
    
    </h1>
    
<div class="row">
  <div class="col-lg-12">
<div class="well well-sm">
  <ul class="list-inline" style="margin-bottom:0px;display:inline">
     
     
     
    <li><i class="fa fa-legal"></i> <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a></li> 
     
     
     
    
    
     <li><i class="fa fa-list-ol"></i>
       <a data-toggle="tooltip"
    data-placement="bottom" data-html="true"
    title=" 0.0% of total for modules and submodules.">3 statements</a>
     </li> 
     
     
     
    <li><i class="fa fa-code"></i><a href="../src/interpreter.f03"> Source File</a></li>
     
     
  </ul>
  <ol class="breadcrumb in-well text-right">
  
    
     <li><a href='../sourcefile/interpreter.f03.html'>interpreter.f03</a></li>
    
  
     <li class="active">precision</li>
  </ol>
</div>
</div>
</div>
<script>
  $(function () {
  $('[data-toggle="tooltip"]').tooltip()
  })
</script>

  </div>
  
  <div class="row">
    <div class="col-md-3 hidden-xs hidden-sm visible-md visible-lg">
    
<div id="sidebar">
  
<h3>Contents</h3>
 



<div class="panel panel-primary">
  <div class="panel-heading text-left"><h3 class="panel-title"><a data-toggle="collapse" href="#vars-0">Variables</a></h3></div>
  <div id="vars-0" class="panel-collapse collapse">
    <div class="list-group">
      
      <a class="list-group-item" href="../module/precision.html#variable-realkind">realkind</a>
      
    </div>
  </div>
</div>





















</div>

    </div>
    
    <div class="col-md-9" id='text'>
    
      <br>
    
  

    
    
    <div class="panel panel-default">
      <div class="panel-heading">
  <h3 class="panel-title">Used by</h3>
      </div>
      <ul class="list-group">
  
  
  <li class="list-group-item">
    <div class="depgraph"><?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: module~~precision~~UsedByGraph Pages: 1 -->
<svg id="moduleprecisionUsedByGraph" width="485pt" height="158pt"
 viewBox="0.00 0.00 485.00 158.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="module~~precision~~UsedByGraph" class="graph" transform="scale(1 1) rotate(0) translate(4 154)">
<title>module~~precision~~UsedByGraph</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-154 481,-154 481,4 -4,4"/>
<!-- module~precision -->
<g id="module~~precision~~UsedByGraph_node1" class="node">
<title>module~precision</title>
<polygon fill="none" stroke="#000000" points="55,-87 0,-87 0,-63 55,-63 55,-87"/>
<text text-anchor="middle" x="27.5" y="-72.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">precision</text>
</g>
<!-- module~interpreter -->
<g id="module~~precision~~UsedByGraph_node2" class="node">
<title>module~interpreter</title>
<g id="a_module~~precision~~UsedByGraph_node2"><a xlink:href=".././module/interpreter.html" xlink:title="interpreter">
<polygon fill="#337ab7" stroke="#337ab7" points="152,-87 91,-87 91,-63 152,-63 152,-87"/>
<text text-anchor="middle" x="121.5" y="-72.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">interpreter</text>
</a>
</g>
</g>
<!-- module~interpreter&#45;&gt;module~precision -->
<g id="module~~precision~~UsedByGraph_edge1" class="edge">
<title>module~interpreter&#45;&gt;module~precision</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M90.9809,-75C82.7487,-75 73.7441,-75 65.171,-75"/>
<polygon fill="#000000" stroke="#000000" points="65.0086,-71.5001 55.0086,-75 65.0086,-78.5001 65.0086,-71.5001"/>
</g>
<!-- proc~getexprvalue -->
<g id="module~~precision~~UsedByGraph_node3" class="node">
<title>proc~getexprvalue</title>
<g id="a_module~~precision~~UsedByGraph_node3"><a xlink:href=".././proc/getexprvalue.html" xlink:title="getExprValue">
<polygon fill="#d94e8f" stroke="#d94e8f" points="287.5,-150 211.5,-150 211.5,-126 287.5,-126 287.5,-150"/>
<text text-anchor="middle" x="249.5" y="-135.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">getExprValue</text>
</a>
</g>
</g>
<!-- proc~getexprvalue&#45;&gt;module~interpreter -->
<g id="module~~precision~~UsedByGraph_edge2" class="edge">
<title>proc~getexprvalue&#45;&gt;module~interpreter</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M211.2149,-126.4817C203.3988,-123.7002 195.3281,-120.5054 188,-117 173.6272,-110.1247 158.5417,-100.7917 146.3788,-92.6697"/>
<polygon fill="#000000" stroke="#000000" points="148.3256,-89.761 138.0909,-87.022 144.3838,-95.5456 148.3256,-89.761"/>
</g>
<!-- module~parsefromfile -->
<g id="module~~precision~~UsedByGraph_node4" class="node">
<title>module~parsefromfile</title>
<g id="a_module~~precision~~UsedByGraph_node4"><a xlink:href=".././module/parsefromfile.html" xlink:title="parseFromFile">
<polygon fill="#337ab7" stroke="#337ab7" points="290,-108 209,-108 209,-84 290,-84 290,-108"/>
<text text-anchor="middle" x="249.5" y="-93.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">parseFromFile</text>
</a>
</g>
</g>
<!-- module~parsefromfile&#45;&gt;module~interpreter -->
<g id="module~~precision~~UsedByGraph_edge4" class="edge">
<title>module~parsefromfile&#45;&gt;module~interpreter</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M208.6481,-89.2977C193.7866,-86.8595 177.0005,-84.1056 162.156,-81.6701"/>
<polygon fill="#000000" stroke="#000000" points="162.6715,-78.208 152.2368,-80.0428 161.5382,-85.1156 162.6715,-78.208"/>
</g>
<!-- proc~getfieldvalue -->
<g id="module~~precision~~UsedByGraph_node5" class="node">
<title>proc~getfieldvalue</title>
<g id="a_module~~precision~~UsedByGraph_node5"><a xlink:href=".././proc/getfieldvalue.html" xlink:title="getFieldValue">
<polygon fill="#d94e8f" stroke="#d94e8f" points="288,-66 211,-66 211,-42 288,-42 288,-66"/>
<text text-anchor="middle" x="249.5" y="-51.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">getFieldValue</text>
</a>
</g>
</g>
<!-- proc~getfieldvalue&#45;&gt;module~interpreter -->
<g id="module~~precision~~UsedByGraph_edge3" class="edge">
<title>proc~getfieldvalue&#45;&gt;module~interpreter</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M210.7484,-60.3577C195.563,-62.849 178.1192,-65.7109 162.7047,-68.2399"/>
<polygon fill="#000000" stroke="#000000" points="161.7114,-64.8559 152.41,-69.9288 162.8447,-71.7636 161.7114,-64.8559"/>
</g>
<!-- proc~getboundaryfieldvalue -->
<g id="module~~precision~~UsedByGraph_node6" class="node">
<title>proc~getboundaryfieldvalue</title>
<g id="a_module~~precision~~UsedByGraph_node6"><a xlink:href=".././proc/getboundaryfieldvalue.html" xlink:title="getBoundaryFieldValue">
<polygon fill="#d94e8f" stroke="#d94e8f" points="311,-24 188,-24 188,0 311,0 311,-24"/>
<text text-anchor="middle" x="249.5" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">getBoundaryFieldValue</text>
</a>
</g>
</g>
<!-- proc~getboundaryfieldvalue&#45;&gt;module~interpreter -->
<g id="module~~precision~~UsedByGraph_edge5" class="edge">
<title>proc~getboundaryfieldvalue&#45;&gt;module~interpreter</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M209.5832,-24.1037C202.2815,-26.745 194.8192,-29.738 188,-33 173.6272,-39.8753 158.5417,-49.2083 146.3788,-57.3303"/>
<polygon fill="#000000" stroke="#000000" points="144.3838,-54.4544 138.0909,-62.978 148.3256,-60.239 144.3838,-54.4544"/>
</g>
<!-- proc~parsedsourceterm -->
<g id="module~~precision~~UsedByGraph_node7" class="node">
<title>proc~parsedsourceterm</title>
<g id="a_module~~precision~~UsedByGraph_node7"><a xlink:href=".././proc/parsedsourceterm.html" xlink:title="parsedSourceTerm">
<polygon fill="#d94e8f" stroke="#d94e8f" points="463.5,-150 360.5,-150 360.5,-126 463.5,-126 463.5,-150"/>
<text text-anchor="middle" x="412" y="-135.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">parsedSourceTerm</text>
</a>
</g>
</g>
<!-- proc~parsedsourceterm&#45;&gt;module~parsefromfile -->
<g id="module~~precision~~UsedByGraph_edge6" class="edge">
<title>proc~parsedsourceterm&#45;&gt;module~parsefromfile</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M365.434,-125.9645C345.0429,-120.6942 321.0637,-114.4965 300.221,-109.1094"/>
<polygon fill="#000000" stroke="#000000" points="300.8282,-105.6514 290.2705,-106.5376 299.0765,-112.4287 300.8282,-105.6514"/>
</g>
<!-- proc~addvolumesourceterms -->
<g id="module~~precision~~UsedByGraph_node8" class="node">
<title>proc~addvolumesourceterms</title>
<g id="a_module~~precision~~UsedByGraph_node8"><a xlink:href=".././proc/addvolumesourceterms.html" xlink:title="addVolumeSourceTerms">
<polygon fill="#d9534f" stroke="#d9534f" points="477,-108 347,-108 347,-84 477,-84 477,-108"/>
<text text-anchor="middle" x="412" y="-93.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">addVolumeSourceTerms</text>
</a>
</g>
</g>
<!-- proc~addvolumesourceterms&#45;&gt;module~parsefromfile -->
<g id="module~~precision~~UsedByGraph_edge7" class="edge">
<title>proc~addvolumesourceterms&#45;&gt;module~parsefromfile</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M346.8414,-96C331.494,-96 315.3487,-96 300.7159,-96"/>
<polygon fill="#000000" stroke="#000000" points="300.3614,-92.5001 290.3614,-96 300.3613,-99.5001 300.3614,-92.5001"/>
</g>
<!-- proc~addcustomsourceterm -->
<g id="module~~precision~~UsedByGraph_node9" class="node">
<title>proc~addcustomsourceterm</title>
<g id="a_module~~precision~~UsedByGraph_node9"><a xlink:href=".././proc/addcustomsourceterm.html" xlink:title="addCustomSourceTerm">
<polygon fill="#d9534f" stroke="#d9534f" points="474.5,-66 349.5,-66 349.5,-42 474.5,-42 474.5,-66"/>
<text text-anchor="middle" x="412" y="-51.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">addCustomSourceTerm</text>
</a>
</g>
</g>
<!-- proc~addcustomsourceterm&#45;&gt;module~parsefromfile -->
<g id="module~~precision~~UsedByGraph_edge8" class="edge">
<title>proc~addcustomsourceterm&#45;&gt;module~parsefromfile</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M365.434,-66.0355C345.0429,-71.3058 321.0637,-77.5035 300.221,-82.8906"/>
<polygon fill="#000000" stroke="#000000" points="299.0765,-79.5713 290.2705,-85.4624 300.8282,-86.3486 299.0765,-79.5713"/>
</g>
</g>
</svg>
</div><div><a type="button" class="graph-help" data-toggle="modal" href="#graph-help-text">Help</a></div><div class="modal fade" id="graph-help-text" tabindex="-1" role="dialog"><div class="modal-dialog modal-lg" role="document"><div class="modal-content"><div class="modal-header"><button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button><h4 class="modal-title" id="-graph-help-label">Graph Key</h4></div><div class="modal-body">
    <p>Nodes of different colours represent the following: </p>
    <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: Graph Key Pages: 1 -->
<svg width="490pt" height="32pt"
 viewBox="0.00 0.00 489.50 32.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 28)">
<title>Graph Key</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-28 485.5,-28 485.5,4 -4,4"/>
<!-- Module -->
<g id="node1" class="node">
<title>Module</title>
<polygon fill="#337ab7" stroke="#337ab7" points="54,-24 0,-24 0,0 54,0 54,-24"/>
<text text-anchor="middle" x="27" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Module</text>
</g>
<!-- Submodule -->
<g id="node2" class="node">
<title>Submodule</title>
<polygon fill="#5bc0de" stroke="#5bc0de" points="139.5,-24 72.5,-24 72.5,0 139.5,0 139.5,-24"/>
<text text-anchor="middle" x="106" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Submodule</text>
</g>
<!-- Subroutine -->
<g id="node3" class="node">
<title>Subroutine</title>
<polygon fill="#d9534f" stroke="#d9534f" points="222,-24 158,-24 158,0 222,0 222,-24"/>
<text text-anchor="middle" x="190" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Subroutine</text>
</g>
<!-- Function -->
<g id="node4" class="node">
<title>Function</title>
<polygon fill="#d94e8f" stroke="#d94e8f" points="294,-24 240,-24 240,0 294,0 294,-24"/>
<text text-anchor="middle" x="267" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Function</text>
</g>
<!-- Program -->
<g id="node5" class="node">
<title>Program</title>
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="366,-24 312,-24 312,0 366,0 366,-24"/>
<text text-anchor="middle" x="339" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Program</text>
</g>
<!-- This Page&#39;s Entity -->
<g id="node6" class="node">
<title>This Page&#39;s Entity</title>
<polygon fill="none" stroke="#000000" points="481.5,-24 384.5,-24 384.5,0 481.5,0 481.5,-24"/>
<text text-anchor="middle" x="433" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">This Page&#39;s Entity</text>
</g>
</g>
</svg>

    
    <p>Solid arrows point from a submodule to the (sub)module which it is
    descended from. Dashed arrows point from a module or program unit to 
    modules which it uses.
    </p>
    </div></div></div></div>
  </li>
  
      </ul>
    </div>
    

    <br>

    <section class="visible-xs visible-sm hidden-md">
      
<h3>Contents</h3>
 



<div class="panel panel-primary">
  <div class="panel-heading text-left"><h3 class="panel-title"><a data-toggle="collapse" href="#vars-1">Variables</a></h3></div>
  <div id="vars-1" class="panel-collapse collapse">
    <div class="list-group">
      
      <a class="list-group-item" href="../module/precision.html#variable-realkind">realkind</a>
      
    </div>
  </div>
</div>





















    </section>
    <br class="visible-xs visible-sm hidden-md">

    

    
    <section>
    <h2>Variables</h2>
    
<table class="table table-striped varlist">
<thead><tr><th>Type</th><th>Visibility</th>

<th>Attributes</th><th></th><th>Name</th><th></th><th>Initial</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-realkind"></span>integer,</td>
  
  <td>public,</td>
  <td>parameter</td><td>::</td>
  <td><strong>realkind</strong></td><td> =</td><td>selected_real_kind(p=13, r=200)</td><td></td>
  
</tr>

</tbody>
</table>

    </section>
    <br>
    
    
    
    
    

    
    
    
    
    

    
    
    
    </div>
  </div>

  
    <hr>    
    </div> <!-- /container -->
    <footer>
      <div class="container">
      <div class="row">
        <div class="col-xs-6 col-md-6"><p>FLUBIO was developed by Edoardo Alinovi and Joel Guerrero<br>&copy; 2021 <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a>
                                          </p>
        </div>
        <div class="col-xs-6 col-md-6">
          <p class="text-right">
            Documentation generated by 
            <a href="https://github.com/Fortran-FOSS-Programmers/ford">FORD</a>
            
            
          </p>
        </div>
      </div>
      <br>
      </div> <!-- /container -->    
    </footer>

    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
<!--
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script>
-->
    <script src="../js/bootstrap.min.js"></script>
    <!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->
    <script src="../js/ie10-viewport-bug-workaround.js"></script>

    <!-- MathJax JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
    <script type="text/x-mathjax-config">
      MathJax.Hub.Config({
        TeX: { extensions: ['AMSmath.js','AMSsymbols.js','noErrors.js','noUndefined.js'], equationNumbers: { autoNumber: 'AMS' } },
        jax: ['input/TeX','input/MathML','output/HTML-CSS'],
        extensions: ['tex2jax.js','mml2jax.js','MathMenu.js','MathZoom.js']
      });
    </script>
    
    <script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>
    
    
    <script src="../tipuesearch/tipuesearch_content.js"></script>
    <script src="../tipuesearch/tipuesearch_set.js"></script>
    <script src="../tipuesearch/tipuesearch.js"></script>
    
    
  </body>
</html>